






#ifndef Wagnis_Gameboard_h
#define Wagnis_Gameboard_h

#include "WagnisProvince.h"

#include "OrxonoxPrereqs.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "worldentities/StaticEntity.h"
#include <vector>


namespace orxonox
{
    class WagnisGameboard : public StaticEntity
    {
    public:
        WagnisGameboard(Context*);
        virtual ~WagnisGameboard();

        //XML
        virtual void XMLPort(Element&,XMLPort::Mode);
        void addProvince(WagnisProvince*);
        WagnisProvince* getProvince(unsigned int) const;
        //

    
    private:
        std::vector<WagnisProvince*> provs;
    };
}


#endif
